import { lazy, Suspense } from 'react';

const LazyRichTextEditor = lazy(() => import('./rich-text-editor'));

// Export types
export type { CrystallizeRichText } from './types/crystallize-rich-text-types';
export * from './types/types';

export const RichTextEditor = (props: any) => {
  return (
    <Suspense fallback={null}>
      <LazyRichTextEditor {...props} />
    </Suspense>
  );
};
